<?php
	//appel fichier internationalisation
	$registry = Yab_Loader::getInstance() -> getRegistry();
	$i18n = $registry -> get('i18n');
	$filter_no_html = new Yab_Filter_NoHtml();
?>

<!-- CSS pour les éléments multimédias -->
<link rel="stylesheet" href="<?php echo $request->getBaseUrl(); ?>/2.0/css/blueimp-gallery.min.css">
<!-- <script src="<?php //echo $request->getBaseUrl(); ?>/2.0/js/dialog/jquery-ui.min.js"></script> -->

<h2 class="page-header">
	<?php echo $filter_no_html->filter( $i18n -> say('show_form')).' '.$filter_no_html->filter( $i18n -> say('sitefouille')).' : '.
	$filter_no_html->filter($helper_form->getElement('nom')->get('value')) ; ?>
</h2>
<div class="table-detail panel-group" id="accordion" role="tablist" aria-multiselectable="true">
	<!-- Panel Detail - Start -->
	<div id="panel_detail" class="panel panel-primary">
	
		<div class="panel-heading" role="tab" id="headingDetail">
			<h4 class="panel-title">
				<span class="icon-address" aria-hidden="true"></span>&nbsp;
				<a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseDetail"
				   aria-expanded="true" aria-controls="collapseDetail">
					<?php echo $filter_no_html->filter( $i18n -> say('identification') );?>
				</a>
			</h4>
		</div>
		
		<div id="collapseDetail" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingDetail">
			<div class="panel-body">
				<table>	
					<tr class="tr-impair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('nom')->get('label');?> <em style="display: block"><?php echo $filter_no_html->filter( $i18n -> say('sitefouille') ); ?></em>
						</th>
						<td><?php echo $helper_form->getElement('nom')->get('value');?></td>
					</tr>
					
					<tr class="tr-pair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('nomabrege')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('nomabrege')->get('value');?></td>
					</tr>
					
					<tr class="tr-impair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('numerosite')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('numerosite')->get('value');?></td>
					</tr>
					
					<tr class="tr-pair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('description')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('description')->get('value');?></td>
					</tr>
					
					<tr class="tr-impair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('adresse')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('adresse')->get('value');?></td>
					</tr>
										
					<tr class="tr-pair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('commune')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('commune')->get('value');?></td>
					</tr>
					
					<tr class="tr-impair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('departement')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('departement')->get('value');?></td>
					</tr>	
					
					<tr class="tr-pair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('anneecadastre')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('anneecadastre')->get('value');?></td>
					</tr>
					
					<tr class="tr-impair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('sectionparcelle')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('sectionparcelle')->get('value');?></td>
					</tr>
					
					<tr class="tr-pair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('proprietaire')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('proprietaire')->get('value');?></td>
					</tr>
					
					<tr class="tr-impair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('protectionjuridique')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('protectionjuridique')->get('value');?></td>
					</tr>
					
					<tr class="tr-pair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('surfaceestime')->get('label');?> <em style="display: block">m&sup2;</em>
						</th>
						<td><?php echo $helper_form->getElement('surfaceestime')->get('value');?></td>
					</tr>
					
					<tr class="tr-impair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('commentaire')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('commentaire')->get('value');?></td>
					</tr>
					
					<tr class="tr-pair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('lambert_x')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('lambert_x')->get('value');?></td>
					</tr>
					
					<tr class="tr-impair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('lambert_y')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('lambert_y')->get('value');?></td>
					</tr>
					
					<tr class="tr-pair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('altitude')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('altitude')->get('value');?></td>
					</tr>
					
					<tr class="tr-impair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('datation_debut')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('datation_debut')->get('value');?></td>
					</tr>
					
					<tr class="tr-pair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('datation_fin')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('datation_fin')->get('value');?></td>
					</tr>
				</table>	
			</div>
		</div>
	</div>
	<!-- Panel Detail - End -->
	
	<!-- Panel Croquis - Start -->
	<?php if(!empty($idCroquis[0])){  ?>
		<div id="panel_croquis" class="panel panel-primary">
			<div class="panel-heading" role="tab" id="headingCroquis">
				<h4 class="panel-title">
					<span class="icon-time" aria-hidden="true"></span>&nbsp;
					<a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseCroquis" aria-expanded="false" aria-controls="collapseCroquis">
						<?php echo $filter_no_html->filter( $i18n -> say('releve') );?>
					</a>
				</h4>
			</div>
			
			<div id="collapseCroquis" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingCroquis">
				<div class="panel-body">
					<div id="carousel-example-generic" class="carousel slide" data-ride="carousel" data-interval="false">
						<!-- Indicators -->
						<ol class="carousel-indicators">
							<?php for($i=0; $i<sizeof($idCroquis); $i++){ ?>
									<li data-target="#carousel-example-generic" data-slide-to="<?php echo $i ?>" class="active"></li>
								<?php } ?>
						</ol>

						<!-- Wrapper for slides -->
						<div class="carousel-inner" role="listbox">
						
							<?php for($i=0; $i<sizeof($idCroquis); $i++){ 
								//Recuperation du file_name
								$croquis = $helper_model->getTable('Model_Croquis')->fetchAll()->where('id="'.$idCroquis[$i].'"')->toRow(); ?>
									<div class="item">
										<img class="img-responsive" src="<?php echo ('http://'.Yab_Loader::getInstance()->getConfig()['ip'].':8084/croquis/show/'.$idCroquis[$i]); ?>" alt="Problème IP" />
										<div id="label-croquis" class="carousel-caption"><?php echo $croquis['file_name']; ?></div>
									</div>
							<?php
								if($i == 0){ ?>
									<script> $(".item").addClass("active"); </script>
								<?php } } ?>								
						</div>

						<!-- Controls -->
						<a class="right carousel-control" href="#carousel-example-generic" role="button" data-slide="next">
							<span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
							<span class="">Next</span>
						</a>
						<a class="left carousel-control" href="#carousel-example-generic" role="button" data-slide="prev">
							<span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
							<span class="">Previous</span>
						</a>
					</div>
				</div>
			</div>
		</div>
	<?php } ?>
	<!-- Panel Croquis - End -->
	
	<!-- Panel Multimedia - Start -->
	<?php 
	//Affichage images de l'arborescence multimédia	
	$arborescence = "../mediatheque/albums/".$codeorganisme."/sitefouille/".$codesite."/*.{jpg,jpeg,gif,png,PNG}";		
	$repertoire = "../mediatheque/albums/".$codeorganisme."/sitefouille/".$codesite."/";		
	$files = glob($arborescence, GLOB_BRACE);
	
	if(!empty($files)){  ?>
		<div id="panel_media" class="panel panel-primary">
			<div class="panel-heading" role="tab" id="headingMedia">
				<h4 class="panel-title">
					<span class="icon-time" aria-hidden="true"></span>&nbsp;
					<a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseMedia" aria-expanded="false" aria-controls="collapseMedia">
						<?php echo $filter_no_html->filter( $i18n -> say('multimedia') ); ?>
					</a>
				</h4>
			</div>
			
			<div id="collapseMedia" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingMedia">
				<div class="panel-body media-width">
					<div class="panel-body-media">
						<?php												
							foreach($files as $image)
							{ 
								$img_name = str_replace($repertoire,'',$image); ?> 
								<table class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
									<tr>
										<td class="col-lg-4 col-md-4 col-sm-4 col-xs-4">
											<div id="gallery">
												<a href="<?php echo $request->getBaseUrl().'/'.$image ?>" style="text-decoration: none;" data-gallery>
													<img id="media-img" title="<?php echo $filter_no_html->filter( $i18n -> say('multimedia_img_title') ); ?>" src="<?php echo $request->getBaseUrl().'/'.$image ?>" alt="No media">
												</a>
											</div>
										</td>										
										<td class="col-lg-4 col-md-4 col-sm-4 col-xs-4">
											<?php echo $img_name ?>
										</td>										
										<td class="col-lg-3 col-md-3 col-sm-3 col-xs-2">
											<?php echo Plugin_Fonctions::fileSizeConvert(filesize($image)); ?>
										</td>
									</tr>
								</table>

								<div id="blueimp-gallery" class="blueimp-gallery blueimp-gallery-controls">
									<div class="slides"></div>
									<h3 class="title"></h3>
									<a class="prev">‹</a>
									<a class="next">›</a>
									<a class="close">×</a>
									<a class="play-pause"></a>
									<ol class="indicator"></ol>
								</div>
								
						<?php } ?>
					</div>
				</div>
			</div>
		</div>
	<?php } ?>
	<!-- Panel Multimedia - End -->
</div>	

<div><a href="<?php echo $this->getRequest('Sitefouille', 'index'); ?>" class="btn btn-default"><?php echo $filter_no_html->filter( $i18n -> say('back_form') ); ?></a></div>	

<!-- JS pour les éléments multimédias -->
<script src="<?php echo $request->getBaseUrl(); ?>/2.0/js/jquery.blueimp-gallery.min.js"></script>
